AltSportsData

Fetch event

Fetch event data

GET
/api/v1/public/events/{eventId}

Authorization

X-API-KEY
X-API-KEY<token>

In: header

Path Parameters

eventId*string

The id of the event for which the data should be returned.

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/public/events/string"
{
  "sportId": "nrx",
  "numericSportId": 1174117206190029,
  "tourId": "3527ea10-6110-4ffd-9403-3e33fc0929rs",
  "numericTournamentId": 1174117206190029,
  "id": "nrx:2127ea10-6110-4ffd-9403-3e33fc0929de",
  "numericEventId": 1174117206190029,
  "tourName": "World Surf League",
  "name": "Billabong Pro Pipeline",
  "startDate": "2022-04-18T15:25:24Z",
  "endDate": "2022-04-18T15:25:24Z",
  "year": 2019,
  "eventNumber": 1,
  "eventStatus": "UPCOMING",
  "eventLocation": "Canterbury, UK",
  "eventLocationNumericId": 1174117206190029,
  "eventLocationGroup": "Canterbury, UK",
  "providerId": "102839",
  "rounds": [
    {
      "id": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
      "referenceId": 1174117206190029,
      "roundName": "Seeding Round",
      "roundNo": 1,
      "roundStatus": "COMPLETED",
      "startDate": "2022-04-18T15:25:24Z",
      "endDate": "2022-04-18T15:25:24Z",
      "providerId": "102839",
      "heats": [
        {
          "id": "2127ea10-6110-4ffd-9403-3e33fc0929de",
          "referenceId": 1174117206190029,
          "heatName": "Heat 1",
          "heatNo": 1,
          "heatStatus": "UPCOMING",
          "startDate": "2022-04-18T15:25:24Z",
          "endDate": "2022-04-18T15:25:24Z",
          "providerId": "102839"
        }
      ],
      "scores": [
        {
          "id": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
          "referenceId": 1174117206190029,
          "teamId": "c47a24b5-3c68-4884-9e97-b575ab1771cf",
          "goals": 1
        }
      ]
    }
  ],
  "teams": [
    {
      "id": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
      "referenceId": 1174117206190029,
      "name": "Strykers",
      "shortName": "Strykers",
      "logo": "https://img.shiftstats.com/bfbdcb2a-4f27-40fd-8e9d-0c31cbc1b1f6/team-logo_url-214529-strykers-1663790864878505113.png",
      "isHomeTeam": true
    }
  ],
  "updatedAt": "2022-02-10T19:00:00Z",
  "seasonType": "Regular Season"
}
{
  "stack": "string",
  "message": "Event not found",
  "metadata": {},
  "statusCode": 403,
  "timestamp": "2023-02-07T19:43:08.187Z"
}